<?php

namespace app\admin\logic;

use app\model\CommonModel;
use app\model\VideoGroupModel;
use think\response\Json;

class VideoGroupLogic extends BaseLogic
{

    //获取视频分组列表
    public static function list(array $data = []): Json
    {
        $db = VideoGroupModel::alias('a')
            ->leftJoin('company b', 'b.id=a.company_id')
            ->leftJoin('card c', 'c.id=a.card_id')
            ->where('a.is_del', CommonModel::$del_normal);

        if ($data['status'] != '') $db->where('a.status', $data['status']);
        if ($data['company_id'] != '') $db->where('a.company_id', $data['company_id']);
        if ($data['card_id'] != '') $db->where('a.card_id', $data['card_id']);

        $count = $db->count('a.id');

        $list = $db->field('a.id,b.title company_title,c.title card_title,a.num,a.status,a.addtime,a.is_top')
            ->page($data['page'], $data['size'])
            ->order(['a.addtime' => 'desc'])
            ->select()
            ->toArray();

        return json_show(CommonModel::$success, '获取视频分组列表成功', ['count' => $count, 'list' => $list]);
    }

    //添加视频分组
    public static function add(array $data = []): Json
    {
        return json_show(CommonModel::$success, '');
    }

    //获取视频分组详情
    public static function read(array $data = []): Json
    {
        return json_show(CommonModel::$success, '');
    }

    //编辑视频分组
    public static function edit(array $data = []): Json
    {
        return json_show(CommonModel::$success, '');
    }

    //视频分组启禁用
    public static function status(array $data = []): Json
    {
        return json_show(CommonModel::$success, '');
    }

    //删除视频分组
    public static function delete(array $data = []): Json
    {
        return json_show(CommonModel::$success, '');
    }


}